{% extends 'base.html' %}

<!-- Provides the title of the page to be provided in the template -->
<!-- This should correspond with the block name provided in the base.html -->
{% block title %} Home {% endblock %}

{% block content %}
    {% if todoitem_list and user.is_anonymous == False %}
        <h1 class="text-center my-3">Welcome {{ user.first_name }} {{user.last_name}}!</h1>
        <h3 class="text-center mb-3">My Task</h3>
        <ul class="list-group">
        <div class="containter">

                {% for todoitem in todoitem_list %}
                
                    <li class="list-group-item mx-5 text-center">
                        <div class="row">
                            <div class="">
                                <a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{ todoitem.task_name }}</a>
                            </div>
                        </div>
                    </li>

                {% endfor %}
                </ul>
        </div> 


    {% elif user.is_anonymous == True %}
        <h1 class="text-center my-3">You are not authorized to access this page.</h1>
        <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
        
    {% else %}
        <h1 class="text-center my-3">Welcome {{ user.first_name }} {{user.last_name}}!</h1>
        <p>No tasks have been created.</p>
    {% endif %}

    <h3 class="text-center my-3">Events</h3>
    {% if event_list %}

    <ul class="list-group">
        <div class="container">
    {% for event in event_list %}
    <li class="list-group-item">
        <div class="row">
            <div class="col-10">
                <h3>{{ event.event_name }}</h3>
                <p>{{ event.description }}</p>
                <p>Status: {{ event.status }}</p>
                <p>Date: {{ event.event_date }}</p>
            </div>
            <div class="col-2 mt-5">
                <a class="btn btn-primary btn-sm mb-1" href="{% url 'todolist:update_event' event.id %}">Update</a>
                <form action="{% url 'todolist:delete_event' event.id %}" method="post" class="d-inline">
                    {% csrf_token %}
                    <button type="submit" class="btn btn-danger btn-sm mb-1">Delete</button>
                </form>
            </div>
        </div>
    </li>
    {% endfor %}
        </div>
    </ul>
    {% else %}
    <ul class="list-group">
    <div class="container">
        <li class="list-group-item">
            <p class="text-center mt-3">No events have been created yet.</p>
        </li>
    </div>  
    </ul>
    {% endif %}
{% endblock %}